      subroutine help_filer

c     Craig Young               3-AUG-87

c     This subroutine enters the swing HELP file at the FILER key.

      include    'swing.cmn'
      include    '($hlpdef)'

      external   LIB$PUT_OUTPUT, LIB$GET_INPUT

      integer    isave, flags, input, output, stat
      integer    lbr$output_help

      call smg$save_physical_screen( board_id, isave )

      output = %loc( lib$put_output )
      input =  %loc( lib$get_input )

      flags = hlp$m_prompt
     .        .or.HLP$M_PROCESS
     .        .or.HLP$M_GROUP
     .        .or.HLP$M_SYSTEM

      stat = lbr$output_help( %val(output),
     .                        width,
     .                        'SWING COMMANDS OPTION FILER', !<--? @swing...
     .                        'SWING',	  !possibly null
     .                        flags,
     .                        %val(input) )

      call smg$restore_physical_screen( board_id, isave )

      if ( .not. stat ) then
         call print_message( 
     .        'There is no SWING.HLB help file in SYS$HELP', 0 )
         end if

      return
      end
